---
title: "Authentification"
---
# Authentification
It is possible to use [mycloud-authentik](../components/mycloud-authentik) (or with [`./base-values/mycloud-core.yaml`](base-values/mycloud-core.yaml)).

``` yaml {filename="base-auth-values.yaml"}
commons:
  auth:
    enabled: true <1>
    namespace: "mycloud" <2>
    authentik:
      domain: "auth.wrenix.eu" <3>
      backend: "mycloud-authentik-hr" <4>

components:
  infra-monitoring:
    grafana:
	  auth:
	    anonymous:
		  enabled: false <5>
```
  * <1> enable to configurate own ressurces and mycloud (blueprint for authentik)
  * <2> namespace where authentik of mycloud runs (where to put blueprint secrets)
  * <3> domain of authentik (for setup OIDCs and so on on own instances)
  * <4> backend of authentik for logout ingresses of infra-components
  * <5> configure grafana to disable anonymous auth (just use authentik SSO / OIDC)

For the following software an proxy based setup handled (current just traefik is supported):
  * alertmanager
  * karma
  * prometheus
