---
title: "Monitoring"
---
# Monitoring

We deploy by default all resources to monitor every deployment.

For adjusting of the labels, there are following values in [`./base-values/commons.yaml`](https://codeberg.org/wrenix/flux-charts/src/branch/main/base-values/commons.yaml).

``` yaml {filename="base-monitor-values.yaml"}
commons:
  grafana:
    datasource:
      labels: <1>
        grafana_datasource: "1"
    dashboards:
      labels: <2>
        grafana_dashboard: "1"
      annotations: <3>

  prometheus:
    alertmanager:
      labels: <4>
        alertmanager: default
    monitor:
      labels: <5>
        prometheus: default
    rules:
      labels: <6>
        prometheus: default
```
  * <1> used labels on `Secrets` and `ConfigMap` metadata for usage for filter for Datasource of Grafana-Sidecar
  * <2> used labels on `Secrets` and `ConfigMap` metadata for usage for filter for Dashboards of Grafana-Sidecar
  * <3> used annotations on `Secrets` and `ConfigMap` metadata of Dashboards for usage configuration of Grafana-Sidecar (useful for but Dashboards into Folders on Grafana)
  * <4> used labels on `AlertmanagerConfig` metadata for usage for filter on `Alertmanager` instance of  [prometheus-operator](https://prometheus-operator.dev/)
  * <5> used labels on `ServiceMonitor` and `PodMonitor` metadata for usage for filter on `Prometheus` instance of  [prometheus-operator](https://prometheus-operator.dev/)
  * <6> used labels on `PrometheusRules` metadata for usage for filter on `Prometheus` instance of [prometheus-operator](https://prometheus-operator.dev/)
