---
title: "mycloud-git-small"

description: "myCloud component to setup forgjo and codeberg"

---

# mycloud-git-small

![Version: 0.0.1](https://img.shields.io/badge/Version-0.0.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

myCloud component to setup forgjo and codeberg

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.auth.host | string | `nil` | default auth.(.Values.commons.ingress.domain) |
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.grafana.dashboards.annotations | string | `nil` | annotations of grafana dashboard configmap |
| commons.grafana.dashboards.labels | object | `{"grafana_dashboard":"1"}` | labels of grafana dashboard configmap |
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `true` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons mail

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.mail.from | string | `nil` | send from address |
| commons.mail.host | string | `""` | smtp server |
| commons.mail.password | string | `""` | smtp password |
| commons.mail.use_ssl | bool | `false` | smtp server use ssl |
| commons.mail.use_tls | bool | `false` | smtp server use start tls |
| commons.mail.username | string | `""` | smtp username |

### Commons Persistence

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.persistence.hostPath.enabled | bool | `false` | use hostPath instatt of PVC |
| commons.persistence.hostPath.prefix | string | `"/var/lib/mycloud"` | use hostPath under the following path |
| commons.persistence.storageClass | string | `nil` | storageClass of PVC |

### Commons theme

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.theme.favicon | string | `"/static/dist/assets/icons/icon.png"` | favicon everywhere |
| commons.theme.logo | string | `"/static/dist/assets/icons/icon_left_brand.svg"` | logo everywhere |
| commons.theme.title | string | `"myCloud"` | title everywhere |

### Commons Tracing

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.tracing.enabled | bool | `false` | enable tracing on all components |
| commons.tracing.grpc.enabled | bool | `true` | prefer grpc over http |
| commons.tracing.grpc.endpoint | string | `"tempo.monitoring.svc:4317"` | grpc endpoint |
| commons.tracing.grpc.insecure | bool | `true` | allow insecure connection per grpc |
| commons.tracing.http.endpoint | string | `"http://tempo.monitoring.svc:4318/v1/traces"` | http endpoint |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| auth.clientID | string | `nil` | OIDC client id (default: "mycloud-git-small"-forgejo) |
| auth.clientSecret | string | `nil` | generated by .Values.commons.masterPassword |
| commons.networkpolicies.enabled | bool | `false` |  |
| commons.networkpolicies.from.ingress | list | `[]` |  |
| commons.networkpolicies.from.metrics | list | `[]` |  |
| commons.networkpolicies.to.database | list | `[]` |  |
| commons.networkpolicies.to.dns | list | `[]` |  |
| commons.networkpolicies.to.k8sAPI.ports[0].port | int | `6443` |  |
| commons.networkpolicies.to.k8sAPI.ports[0].protocol | string | `"TCP"` |  |
| commons.networkpolicies.to.k8sAPI.to | list | `[]` |  |
| databases.forgejo.host | string | `"mycloud-services-postgresql"` | default is from mysql-services |
| databases.forgejo.name | string | `"git-forgejo"` |  |
| databases.forgejo.password | string | `nil` | generated by .Values.commons.masterPassword (equal to mycloud-services) |
| databases.forgejo.username | string | `"git-forgejo"` |  |
| databases.woodpecker.host | string | `"mycloud-services-postgresql"` | default is from mysql-services |
| databases.woodpecker.name | string | `"git-woodpecker"` |  |
| databases.woodpecker.password | string | `nil` | generated by .Values.commons.masterPassword (equal to mycloud-services) |
| databases.woodpecker.username | string | `"git-woodpecker"` |  |
| forgejo | string | `nil` |  |
| ingress.forgejo.annotations | string | `nil` |  |
| ingress.forgejo.host | string | `nil` | default: git.(Values.commons.ingress.domain) |
| ingress.woodpecker.annotations | string | `nil` |  |
| ingress.woodpecker.host | string | `nil` | default: ci.(Values.commons.ingress.domain) |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| mail.from | string | `nil` | generade by Values.commons.mail.from |
| mail.host | string | `nil` | default Values.commons.mail.host |
| persistence.forgejo.size | string | `"16Gi"` |  |
| persistence.forgejo.storageClass | string | `nil` |  |
| traefik.enabled | bool | `true` |  |
| woodpecker.admins | list | `[]` | admins of woodpecker (manage manuelle) |
| woodpecker.auth.clientID | string | `""` | need to be manuelle set, after setup on forgejo |
| woodpecker.auth.clientSecret | string | `""` | need to be manuelle set, after setup on forgejo |
| woodpecker.jobs.namespace.create | bool | `true` |  |
| woodpecker.jobs.namespace.name | string | `"woodpecker"` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
