---
title: "mycloud-paperless"

description: "A Helm chart for Kubernetes"

---

# mycloud-paperless

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

A Helm chart for Kubernetes

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.auth.host | string | `nil` | default auth.(.Values.commons.ingress.domain) |
| commons.masterPassword | string | `"CHANGEME"` | masterPassword to generate secrets |

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.grafana.dashboards.annotations | object | `{}` | annotations of grafana dashboard configmap |
| commons.grafana.dashboards.labels | object | `{}` | labels of grafana dashboard configmap |
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Commons Ingress

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.ingress.annotations | object | `{"cert-manager.io/cluster-issuer":"letsencrypt-prod"}` | annotations for all ingress objects |
| commons.ingress.domain | string | `"wrenix.eu"` | top domain for all services |
| commons.ingress.tls.enabled | bool | `true` | tls on every ingress |
| commons.ingress.tls.override | list | `[]` | use own definition of tls (e.g. for own or wildcard certificate) |

### Commons mail

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.mail.from | string | `nil` | send from address |
| commons.mail.host | string | `nil` | smtp server |
| commons.mail.password | string | `nil` | smtp password |
| commons.mail.use_ssl | bool | `false` | smtp server use ssl |
| commons.mail.use_tls | bool | `false` | smtp server use start tls |
| commons.mail.username | string | `nil` | smtp username |

### Commons Persistence

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.persistence.hostPath.enabled | bool | `false` | use hostPath instatt of PVC |
| commons.persistence.hostPath.prefix | string | `"/var/lib/mycloud"` | use hostPath under the following path |
| commons.persistence.storageClass | string | `nil` | storageClass of PVC |

### Commons theme

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.theme.title | string | `"myCloud"` | title everywhere |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| auth.clientID | string | `nil` | generated by .Values.commons.masterPassword |
| auth.clientSecret | string | `nil` | generated by .Values.commons.masterPassword |
| auth.extra | string | `nil` | in format of paperless |
| commons.auth.authentik.backend | string | `"authentik-server"` |  |
| commons.auth.authentik.domain | string | `""` |  |
| commons.auth.enabled | bool | `false` |  |
| commons.auth.namespace | string | `""` |  |
| commons.auth.type | string | `"authentik"` |  |
| commons.networkpolicies.enabled | bool | `false` |  |
| commons.networkpolicies.from.ingress | list | `[]` |  |
| commons.networkpolicies.from.metrics | list | `[]` |  |
| commons.networkpolicies.to.database | list | `[]` |  |
| commons.networkpolicies.to.dns | list | `[]` |  |
| commons.networkpolicies.to.smtp | list | `[]` |  |
| database.host | string | `"mycloud-services-postgresql"` | default is from mysql-services |
| database.name | string | `"paperless"` |  |
| database.password | string | `nil` | generated by .Values.commons.masterPassword (equal to mycloud-services) |
| database.username | string | `"paperless"` |  |
| env.PAPERLESS_DISABLE_REGULAR_LOGIN | bool | `true` |  |
| env.PAPERLESS_OCR_LANGUAGE | string | `"deu"` |  |
| env.PAPERLESS_REDIRECT_LOGIN_TO_SSO | bool | `true` |  |
| env.PAPERLESS_SOCIAL_ACCOUNT_SYNC_GROUPS | bool | `true` |  |
| env.PAPERLESS_SOCIAL_AUTO_SIGNUP | bool | `true` |  |
| ingress.annotations | object | `{}` |  |
| ingress.host | string | `nil` | default: paperless.(Values.commons.ingress.domain) |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| mail.from | string | `nil` | generade by Values.commons.mail.from |
| mail.host | string | `nil` | default Values.commons.mail.host |
| persistence.size | string | `"16Gi"` |  |
| persistence.storageClass | string | `nil` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
